<?php
/*
 * framework-spider
 * spider/module/NoCache.class.php
 * 
 * CopyRight(C)Framework-Spider Developer Team. 2010. All Right Reserved. 
 * URL         : http://sourceforge.jp/projects/frameworkspider/
 * Mail        : frameworkspider-dev@lists.sourceforge.jp
 * Auther      : Masanori Nakashima
 * Modifier    : Masanori Nakashima
 * Last Updated: 2010.06.23
 * 
 */
require_once( dirname(dirname(__FILE__))
	.DIRECTORY_SEPARATOR.'ModuleBase.class.php');
/**
 * spider：No CacheをHTTPレスポンスヘッダに出力するアクションモジュールクラス
 * 
 * @package spider spider/moduleパッケージ
 * @version 1.2.00
 * @copyright Copyright &copy; 2008, <m_nakashima@users.sourceforge.jp> http://sourceforge.jp/projects/shopformer/
 * @author  m.nakashima <m_nakashima@users.sourceforge.jp>
 * @since PHP 4.3
 */
class spider_module_NoCache extends spider_ModuleBase {

	function spider_module_NoCache(){
	}

	function execute( & $request ) {
		$request->setResponseHeader( 'Expires', 'Mon, 26 Jul 1997 05:00:00 GMT' );
		$request->setResponseHeader( 'Cache-Control', 'no-store, no-cache, must-revalidate' );
		$request->setResponseHeader( 'Cache-Control', 'pre-check=0, post-check=0, max-age=0' );
		$request->setResponseHeader( 'Pragma', 'no-cache' );
		$request->setResponseHeader( 'Expires', '0' );
	}
}
?>